/*****************************************************************************
 *
 * Author        : Copyright (c) Olli Parviainen
 * Author e-mail : oparviai @ iki.fi
 * File created  : 07-Jan-2002
 *
 * $Id: MessageCtrlDlg.h 326 2015-10-18 15:38:27Z olli $
 *
 * License:
 *
 * MessageCtrl example tool for controlling PaceMaker plug-in with Windows 
 * messages.
 * Copyright (c) Olli Parviainen
 *
 * This source code can be freely used, modified and further distributed.
 *
 * WWW: http://www.iki.fi/oparviai/pacemaker
 *
 *****************************************************************************/

#include "afxwin.h"
#if !defined(AFX_MESSAGECTRLDLG_H__00C762C2_564F_4AB6_971F_D43BBA6F9C0A__INCLUDED_)
#define AFX_MESSAGECTRLDLG_H__00C762C2_564F_4AB6_971F_D43BBA6F9C0A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMessageCtrlDlg dialog

class CMessageCtrlDlg : public CDialog
{
// Construction
public:
    CMessageCtrlDlg(CWnd* pParent = NULL);  // standard constructor

// Dialog Data
    //{{AFX_DATA(CMessageCtrlDlg)
    enum { IDD = IDD_MESSAGECTRL_DIALOG };
    CButton m_button1;
    //}}AFX_DATA

    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CMessageCtrlDlg)
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

// Implementation
protected:
    HICON m_hIcon;
    UINT  timerID;
    HWND hPaceMaker;
    float phase;

    // Generated message map functions
    //{{AFX_MSG(CMessageCtrlDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
    afx_msg void OnPaint();
    afx_msg HCURSOR OnQueryDragIcon();
    afx_msg void OnButton1();
    afx_msg void OnTimer(UINT nIDEvent);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    void stop();
    void start();

public:
    CStatic m_StaticInfo;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MESSAGECTRLDLG_H__00C762C2_564F_4AB6_971F_D43BBA6F9C0A__INCLUDED_)
