/*****************************************************************************
 *
 * Author        : Copyright (c) Olli Parviainen
 * Author e-mail : oparviai @ iki.fi
 * File created  : 07-Jan-2002
 *
 * $Id: pm_msgapi.h 322 2015-10-16 16:17:04Z olli $
 *
 * License:
 *
 * MessageCtrl example tool for controlling PaceMaker plug-in with Windows 
 * messages.
 * Copyright (c) Olli Parviainen
 *
 * This source code can be freely used, modified and further distributed.
 *
 * WWW: http://www.iki.fi/oparviai/pacemaker
 *
 *****************************************************************************/

#ifndef PM_MSGAPI_H
#define PM_MSGAPI_H

#include "pacemaker_plugin.h"

// Returns an array of handles to all open PaceMaker plug-in windows, or NULL if none found
HWND *seekPaceMakerWindows(int &numOfFoundPaceMakers);

#endif